* Main figures =================================================================

	****************************************************************************
	* FIGURE 2: Evolution of Sayana Press injections (above) and overall number of contraceptives dispensed (below)
		   	   *
	*--------------------------------------------------------------------------*
	*       REQUIRES: ${final}\qt_contraceptives.dta	
	*       CREATES:  ${figures}/Figure 2.png		   	       *
	****************************************************************************

	do "${doanpaper}/Figures/Fig 2.do"	
	

* Main tables ==================================================================

	****************************************************************************
	* Table 1: Characteristics and contraceptive provision by health
	*          centers                       							   	   *
	*--------------------------------------------------------------------------*
	*		REQUIRES: ${cleaned}\covariates.dta	
	*		          ${final}\nfemcov_by_asc.dta
	*                 ${final}\qt_contraceptives.dta
	*       CREATES:  ${tables}/Table1_Panel_A.xls
	*		          ${tables}/Table1_Panel_B.xls				   	           *
	****************************************************************************
	
	do "${doanpaper}/Tables/Table 1.do"

	****************************************************************************
	* Table 2A: Effect on the quantity of contraceptive dispensed: breakdown by 
	*          Sayana (as well as provider) vs  any contraceptive dispensed 
    * Table 2B: Effect on the quantity of alternative contraceptives delivered, by type
    * 
	* Romano-Wolf p-values (to be added to table 4)
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${final}/qt_contraceptives.dta" 
	*            "${raw}/study sample/hc_treatment_status"
    *            "${cleaned}/covariates"	
	*    CREATES: ${tables}/Table2A.xls
	*			  ${tables}/Table2B.xls
	*			  ${tables}/Romano-Wolf P values.csv
	****************************************************************************
	
	do "${doanpaper}/Tables/Tables_2a_2b.do"

	
* Appendix figures ==================================================


	****************************************************************************
	* Figure A1: Event study analysis: changes in the quantity of Sayana Press and Implants/IUD							   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: "${final}/qt_contraceptives.dta"
	*             "${raw}/study sample/hc_treatment_status"
	*    CREATES:  ${figures}/FigA1.xls
	****************************************************************************

	do "${doanapp}/Figures/Fig A1.do"	
	
* Appendix tables ==================================================


	****************************************************************************
	* Table B1		 Effect on the quantity of Sayana Press delivered: breakdown by first and renewal						   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${final}/qt_contraceptives.dta" 
	*            "${raw}/study sample/hc_treatment_status"
    *            "${cleaned}/covariates"
	*    CREATES:  ${tables}/Table B1.xls
	****************************************************************************

	do "${doanapp}/Tables/Table B1.do"	
	
		****************************************************************************
	* Table B2		 Effect on the quantity of Sayana Press delivered: breakdown by first and renewal						   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: "${final}/nfemcov_by_asc"
	*             "${raw}/study sample/hc_treatment_status"
	*             "${final}/qt_contraceptives.dta"
	*    CREATES:  ${tables}/TableB2.xls
	****************************************************************************

	do "${doanapp}/Tables/Table B2.do"	
	
*---------------------------------------------------------------- End of do-file